### 8.60 `CTIME` — Convert a time into a string

Description:
  `CTIME` converts a system time value, such as returned by `TIME8`, to a string. Unless the application has called `setlocale`, the output will be in the default locale, of length 24 and of the form ‘`Sat Aug 19 18:13:14 1995`’. In other locales, a longer string may result.

  This intrinsic is provided in both subroutine and function forms; however, only one form can be used in any given program unit.

Standard:
  GNU extension
Class:
  Subroutine, function
Syntax:

  `CALL CTIME(TIME, RESULT)`.
  `RESULT = CTIME(TIME)`.

Arguments:

  TIME | The type shall be of type `INTEGER`.
  RESULT | The type shall be of type `CHARACTER` and of default kind. It is an `INTENT(OUT)` argument. If the length of this variable is too short for the time and date string to fit completely, it will be blank on procedure return.

Return value:
  The converted date and time as a string.
Example:

                program test_ctime
                    integer(8) :: i
                    character(len=30) :: date
                    i = time8()

                    ! Do something, main part of the program

                    call ctime(i,date)
                    print *, 'Program was started on ', date
                end program test_ctime

See Also:
  DATE_AND_TIME, GMTIME, LTIME, TIME, TIME8